typedef struct _IjsClientCtx IjsClientCtx;

IjsClientCtx *
ijs_invoke_server (const char *server_cmd);

int 
ijs_exec_server (const char *server_cmd, int *pfd_to, int *pfd_from, 
    int *pchild_pid);

int
ijs_client_begin_cmd (IjsClientCtx *ctx, IjsCommand cmd);

int
ijs_client_send_int (IjsClientCtx *ctx, int val);

int
ijs_client_send_cmd (IjsClientCtx *ctx);

int
ijs_client_send_cmd_wait (IjsClientCtx *ctx);

int
ijs_client_send_data_wait (IjsClientCtx *ctx, char *buf, int size);

int
ijs_client_set_param (IjsClientCtx *ctx, const char *key, const char *value,
		      int value_size);

int
ijs_client_get_param (IjsClientCtx *ctx, const char *key, char *value,
		      int value_size);
